import request from '@/utils/request'

// 查询点检工单列表
export function listSpotInspectionOrder(query) {
	return request({
		url: '/device/spotInspectionOrder/list',
		method: 'get',
		params: query
	});
}

// 查询点检工单详细
export function getSpotInspectionOrder(orderId) {
	return request({
		url: '/device/spotInspectionOrder/' + orderId,
		method: 'get'
		});
}

// 新增点检工单
export function addSpotInspectionOrder(data) {
	return request({
		url: '/device/spotInspectionOrder',
		method: 'post',
		data: data
	});
}

// 修改点检工单
export function updateSpotInspectionOrder(data) {
	return request({
		url: '/device/spotInspectionOrder',
		method: 'put',
		data: data
	});
}

// 删除点检工单
export function delSpotInspectionOrder(orderId) {
	return request({
		url: '/device/spotInspectionOrder/' + orderId,
		method: 'delete'
	});
}
